# BASIC 256 - Language Documentation

pt:function

## Function

### Formato

function functionname ( lista de variáveis )
código
end function

function functionname$ ( lista de variáveis )
código
end function

### Descrição

Cria uma função que irá receber valores de entrada, processa-los e devolver um valor numérico ou alfanumérico de saída. Todas as variáveis​utilizadas para processamento na função serão locais para a função, isto é não efectam variveis com o mesmo nome fora da função.

Em BASIC-256 a função devolve o valor de saída após a instrução RETURN ou após por chegar ao fim da função. Se não houver código na função esta devolve zero (0) no caso das variaveis numéricas ou (””) no caso das variaveis alfanuméricas.

Variáveis de entrada (numéricas ou alfanuméricas) são, separadas por vírgula. Arrays e variáveis podem ser passados por referência usando Ref.

Funções devem ser definidas na parte inferior do seu programa, e não pode ser definido dentro de outro bloco subrotina, ou estrutura de controle (If/Then, Do/Until).

### Exemplo

    print double$("Olá")
    print triple(3)
    end

    function double$(a$)
       double$ = a$ + a$
    end function

    function triple(b)
       triple = b * 3
       return
       triple = 9999	# este código não é executado pois existe um RETURN antes
    end function

Mostrará

    OláOlá
    9

### Ver também

Global, Ref, Return, Subroutine

### Introduzido

0.9.9.1

pt/function.txt · Last modified: 2012/12/15 03:46 by m_santos